import { RhzConfigService } from '../services';
export declare class RhzConfigCtrl {
    private _configService;
    private changeCallback;
    /**
     * Subscribe on config changes
     */
    private _subscription;
    /**
     * Dependencies
     * @param _configService: RhzConfigService
     * @param changeCallback: () => any
     */
    constructor(_configService: RhzConfigService, changeCallback: () => any);
    /**
     * Init subscription
     */
    private _init;
    /**
     * Remove subscriptions
     */
    destroy(): void;
}
