/**
 * Rhizom button model
 */
export interface RhzButton {
    text: string;
    icon?: string;
    onClick?: () => any;
    routerLink?: string;
    queryParams?: {
        [k: string]: any;
    };
}
/**
 * Rhizom dropdown button model
 */
export interface RhzButtonDropdown {
    text: string;
    icon?: string;
    iconSuffix?: string;
    onClick?: () => any;
    routerLink?: string;
    queryParams?: {
        [k: string]: any;
    };
}
