import { RhzSpacing } from '../../types';
declare type RhzGridSizes = '1' | '2' | '3' | '4' | '5' | '6' | '7' | '8' | '9' | '10' | '11' | '12';
export declare class RhzCardViewComponent {
    set size(value: RhzGridSizes);
    set sm(value: RhzGridSizes);
    set md(value: RhzGridSizes);
    set lg(value: RhzGridSizes);
    set xl(value: RhzGridSizes);
    spacing: RhzSpacing;
    /**
     * Card grid responsive sizes
     */
    private _size;
    private _sm;
    private _md;
    private _lg;
    private _xl;
    private get _hostClasses();
    private _getSizes;
}
export {};
