import { Injector } from '@angular/core';
import { RhzModalRef } from './rhz-modal-ref.model';
import { RhzBase } from '../../../classes';
export declare abstract class RhzModal extends RhzBase {
    /**
     * Modal instance
     */
    modalInstance: RhzModalRef;
    /**
     * Constructor
     * @param _injector: Injector
     */
    constructor(_injector: Injector);
    /**
     * Used to pass data to modal component
     * @param params: any
     */
    onParams(params: any): void;
    /**
     * Close modal and pass outputs
     * @param output: any
     */
    close(output?: any): void;
}
