import { MatMenuTrigger } from '@angular/material/menu';
export declare class RhzMenuCtrl {
    /**
     * Variables
     */
    private openMenuTimeout;
    private closeMenuTimeout;
    private isOverMenu;
    /**
     * Set over menu value
     * @param value: boolean
     */
    setOverMenu(value: boolean): void;
    /**
     * Check if isOverMenu is false and call close menu function
     * @param menuTrigger: MatMenuTrigger
     */
    toggleMenu(menuTrigger: MatMenuTrigger): void;
    /**
     * Open mat-menu
     * @param menuTrigger: MatMenuTrigger
     */
    openMenu(menuTrigger: MatMenuTrigger): void;
    /**
     * Close mat-menu
     * @param menuTrigger: MatMenuTrigger
     */
    closeMenu(menuTrigger: MatMenuTrigger): void;
}
