import { EventEmitter } from '@angular/core';
export declare type RhzViewMode = 'list' | 'grid';
export declare class RhzViewSelectorComponent {
    /**
     * Set selected mode
     */
    mode: RhzViewMode;
    /**
     * Emit event with selected mode
     * EventEmitter<RhzViewMode>
     */
    onChange: EventEmitter<RhzViewMode>;
    /**
     * Change display mode and emit onChange event
     * @param mode: RhzViewMode
     */
    changeMode(mode: RhzViewMode): void;
}
