import { InjectionToken } from '@angular/core';
export interface IStyles {
    [key: string]: string;
}
export interface IConfig {
    img?: string;
    loaderStyles?: IStyles;
    imgStyles?: IStyles;
    hostStyles?: IStyles;
}
export interface LConfig {
    size?: 'sm' | 'md' | 'lg' | 'xl';
    overlay?: 'none' | 'default';
}
export declare type optionsConfig = IConfig;
export declare const config: InjectionToken<string>;
export declare const LOADER_NEW_CONFIG: InjectionToken<string>;
export declare const LOADER_INITIAL_CONFIG: InjectionToken<IConfig>;
export declare const loaderInitialConfig: IConfig;
export declare const _defaultConfig: LConfig;
