import { AfterViewInit, ElementRef, EventEmitter, Renderer2 } from '@angular/core';
declare type SortDirection = 'asc' | 'desc' | '';
export interface SortEvent {
    column: string;
    direction: SortDirection;
}
export declare class RhzSortableDirective implements AfterViewInit {
    private renderer;
    private el;
    sortable: string;
    direction: SortDirection;
    onSort: EventEmitter<SortEvent>;
    private _icon;
    private _cursor;
    private get _hostClasses();
    private _rotate;
    constructor(renderer: Renderer2, el: ElementRef);
    ngAfterViewInit(): void;
    private _setIcon;
}
export {};
