export declare class RhzButtonDefaultComponent {
    /**
     * Button color set
     * @param color: 'primary' | 'secondary' | 'danger' | 'light' | 'medium'
     */
    set color(color: 'primary' | 'secondary' | 'danger' | 'light' | 'medium');
    /**
     * Button fill style
     * @param fill: 'solid' | 'outline' | 'clean' | 'link'
     */
    set fill(fill: 'solid' | 'outline' | 'clean' | 'link');
    /**
     * Button mode
     * @param mode: 'normal' | 'big' | 'square'
     */
    set mode(mode: 'normal' | 'big' | 'square');
    /**
     * Button expand
     * @param expand: 'block' | 'full'
     */
    set expand(expand: 'block' | 'full');
    /**
     * Button icon
     */
    icon: string;
    /**
     * Icon position
     */
    iconPos: 'left' | 'right';
    /**
     * Icon only
     */
    iconOnly: boolean;
    /**
     * Loading control
     */
    loading: boolean;
    /**
     * Btn color
     */
    _color: string;
    /**
     * Btn type
     */
    _mode: string;
    /**
     * Btn fill
     */
    _fill: string;
    /**
     * Btn expand
     */
    _expand: string;
    get hostClasses(): string;
}
