import { Subject } from 'rxjs';
export declare class RhzMegaMenuCtrl {
    /**
     * Variables
     */
    menuOpen: boolean;
    menuChanges: Subject<boolean>;
    private openMenuTimeout;
    private closeMenuTimeout;
    private isOverMenu;
    /**
     * Set over menu value
     * @param value: boolean
     */
    setOverMenu(value: boolean): void;
    /**
     * Check if isOverMenu is false and call close menu function
     */
    toggleMenu(): void;
    /**
     * Open mega menu
     */
    openMenu(): void;
    /**
     * Close mega menu
     * @param instant: boolean
     */
    closeMenu(instant?: boolean): void;
}
