import { EventEmitter } from '@angular/core';
export declare class RhzStepFooterComponent {
    /**
     * Next button visibility control
     */
    showNextBtn: boolean;
    /**
     * Next button text
     */
    nextText: string;
    /**
     * Next button icon visibility control
     */
    showNextIcon: boolean;
    /**
     * Previous button visibility control
     */
    showPreviousBtn: boolean;
    /**
     * Previous button text
     */
    previousText: string;
    /**
     * Emit event when move to next step
     */
    onMoveNext: EventEmitter<any>;
    /**
     * Emit event when move to previous step
     */
    onMovePrevious: EventEmitter<any>;
    private get _hostClasses();
    /**
     * Call move next step event emitter
     */
    moveNext(): void;
    /**
     * Call move previous step event emitter
     */
    movePrevious(): void;
}
