import { ElementRef } from '@angular/core';
export declare class RhzStepTabComponent {
    private _element;
    /**
     * Step rhz-icon or Font awesome icon
     */
    icon: string;
    /**
     * Step title
     */
    title: string;
    /**
     * Active tab control
     */
    active: boolean;
    /**
     * Invalid tab control
     */
    invalid: boolean;
    /**
     * Tab visibility control
     */
    hide: boolean;
    /**
     * Step disabled control
     */
    disabled: boolean;
    /**
     * Inject dependencies
     * @param _element: ElementRef
     */
    constructor(_element: ElementRef);
    private get _hostClasses();
    /**
     * Get active class style
     * @private
     */
    private _getActiveClass;
    /**
     * Get invalid class style
     * @private
     */
    private _getInvalidClass;
    /**
     * Get hide class style
     * @private
     */
    private _getHideClass;
    /**
     * Get disabled class style
     * @private
     */
    private _getDisabledClass;
    /**
     * Get component native element
     */
    getNativeElement(): any;
}
