import { ChangeDetectorRef, EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
export declare class RhzToggleComponent implements ControlValueAccessor {
    private _cdr;
    set checked(value: boolean);
    get checked(): boolean;
    set disabled(value: boolean);
    onChange: EventEmitter<boolean>;
    isDisabled: boolean;
    private _value;
    get value(): boolean;
    set value(value: boolean);
    private _onChange;
    private _onTouched;
    /**
     * Inject dependencies
     * @param _cdr: ChangeDetectorRef
     */
    constructor(_cdr: ChangeDetectorRef);
    private get _hostClasses();
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    writeValue(value: boolean): void;
    private _detectChanges;
}
