/**
 * Inspired by: https://github.com/JsDaddy/ngx-loader-indicator#readme
 */
import { ElementRef, Renderer2 } from '@angular/core';
import { IConfig, LConfig } from './rhz-loader.config';
export declare class RhzLoaderDirective {
    private _config;
    private _el;
    private _renderer;
    set loader(value: boolean | {
        ctrl: boolean;
        cfg: LConfig;
    });
    loaderEl: HTMLDivElement;
    loaderStyles: IConfig['loaderStyles'];
    imgStyles: IConfig['imgStyles'];
    hostStyles: IConfig['hostStyles'];
    img: IConfig['img'];
    private _loaderCfg;
    constructor(_config: IConfig, _el: ElementRef, _renderer: Renderer2);
    private _showLoader;
    private _dismissLoader;
    private _setSpinSize;
    private _setOverlay;
    private _setStyles;
}
