import { IRhzConfig } from './interfaces';
import { RhzConfigService } from './services';
export declare function configFactory(options: IRhzConfig): () => RhzConfigService;
export declare class RhzModule {
    static forRoot(options?: IRhzConfig): {
        ngModule: typeof RhzModule;
        providers: {
            provide: typeof RhzConfigService;
            useFactory: () => RhzConfigService;
        }[];
    };
}
